/*
 * Copyright The OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export interface Status {
  /** The status code of this message. */
  code: StatusCode;
  /** A developer-facing error message. */
  message?: string;
}

/**
 * An enumeration of status codes.
 */
export enum StatusCode {
  /**
   * The operation has been validated by an Application developer or
   * Operator to have completed successfully.
   */
  OK = 0,
  /**
   * The default status.
   */
  UNSET = 1,
  /**
   * The operation contains an error.
   */
  ERROR = 2,
}
