Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@opentelemetry/core");
const shimmer = require("shimmer");

class HttpModulePlugin extends core_1.BasePlugin {
    constructor() {
        super();
        this.moduleName = 'http';
    }

    patch() {
        shimmer.wrap(this._moduleExports, 'get', orig => () => 'patched');
        return this._moduleExports;
    }

    unpatch() {
        shimmer.unwrap(this._moduleExports, 'get');
    }
}
exports.HttpModulePlugin = HttpModulePlugin;
const plugin = new HttpModulePlugin();
exports.plugin = plugin;
